# GLM_GTX_color_space_YCoCg

GLM_GTX_color_space_YCoCg
GTX Extensions (Experimental)

## Functions

template<typename valType >
detail::tvec3< valType > | rgb2YCoCg (detail::tvec3< valType > const &rgbColor)
template<typename valType >
detail::tvec3< valType > | rgb2YCoCgR (detail::tvec3< valType > const &rgbColor)
template<typename valType >
detail::tvec3< valType > | YCoCg2rgb (detail::tvec3< valType > const &YCoCgColor)
template<typename valType >
detail::tvec3< valType > | YCoCgR2rgb (detail::tvec3< valType > const &YCoCgColor)

## Detailed Description

RGB to YCoCg conversions and operations.

<glm/gtx/color_space_YCoCg.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<valType> glm::rgb2YCoCg | ( | detail::tvec3< valType > const & | rgbColor | ) |

Convert a color from RGB color space to YCoCg color space.

See Also
  GLM_GTX_color_space_YCoCg

detail::tvec3<valType> glm::rgb2YCoCgR | ( | detail::tvec3< valType > const & | rgbColor | ) |

Convert a color from RGB color space to YCoCgR color space.

See Also
  "YCoCg-R: A Color Space with RGB Reversibility and Low Dynamic Range"
  GLM_GTX_color_space_YCoCg

detail::tvec3<valType> glm::YCoCg2rgb | ( | detail::tvec3< valType > const & | YCoCgColor | ) |

Convert a color from YCoCg color space to RGB color space.

See Also
  GLM_GTX_color_space_YCoCg

detail::tvec3<valType> glm::YCoCgR2rgb | ( | detail::tvec3< valType > const & | YCoCgColor | ) |

Convert a color from YCoCgR color space to RGB color space.

See Also
  "YCoCg-R: A Color Space with RGB Reversibility and Low Dynamic Range"
  GLM_GTX_color_space_YCoCg